local TXUI, F, E, I, V, P, G = unpack(select(2, ...))
local PF = TXUI:GetModule("Profiles")

local _G = _G

function PF:DBM()
  local DBM = DBM
  local DBM_AllSavedOptions = DBM_AllSavedOptions
  local DBT_AllPersistentOptions = DBT_AllPersistentOptions
  if not DBM or not DBM_AllSavedOptions or not DBT_AllPersistentOptions then return self:LogDebug("Could not find DBM", DBM, DBM_AllSavedOptions, DBT_AllPersistentOptions) end

  local TXUI_DBM_AllSavedOptions = {}
  local TXUI_DBT_AllPersistentOptions = {}
  local profileName = I.ProfileNames[E.db.TXUI.installer.layout]

  -- Check if profile exists, if not create one
  if not DBM_AllSavedOptions[profileName] then DBM:CreateProfile(profileName) end

  if E.db.TXUI.installer.layout == I.Enum.Layouts.HEALER then
    TXUI_DBM_AllSavedOptions[profileName] = {}
    TXUI_DBM_AllSavedOptions[profileName]["AFKHealthWarning"] = false
    TXUI_DBM_AllSavedOptions[profileName]["AITimer"] = true
    TXUI_DBM_AllSavedOptions[profileName]["AdvancedAutologBosses"] = false
    TXUI_DBM_AllSavedOptions[profileName]["AlwaysPlayVoice"] = false
    TXUI_DBM_AllSavedOptions[profileName]["AlwaysShowSpeedKillTimer2"] = false
    TXUI_DBM_AllSavedOptions[profileName]["ArrowPoint"] = "TOP"
    TXUI_DBM_AllSavedOptions[profileName]["ArrowPosX"] = 0
    TXUI_DBM_AllSavedOptions[profileName]["ArrowPosY"] = -150
    TXUI_DBM_AllSavedOptions[profileName]["AutoAcceptFriendInvite"] = false
    TXUI_DBM_AllSavedOptions[profileName]["AutoAcceptGuildInvite"] = false
    TXUI_DBM_AllSavedOptions[profileName]["AutoExpandSpellGroups"] = false
    TXUI_DBM_AllSavedOptions[profileName]["AutoReplySound"] = true
    TXUI_DBM_AllSavedOptions[profileName]["AutoRespond"] = true
    TXUI_DBM_AllSavedOptions[profileName]["AutologBosses"] = false
    TXUI_DBM_AllSavedOptions[profileName]["BadIDAlert"] = false
    TXUI_DBM_AllSavedOptions[profileName]["BadTimerAlert"] = false
    TXUI_DBM_AllSavedOptions[profileName]["BigBrotherAnnounceToRaid"] = false
    TXUI_DBM_AllSavedOptions[profileName]["BlockNoteShare"] = false
    TXUI_DBM_AllSavedOptions[profileName]["ChatFrame"] = "DEFAULT_CHAT_FRAME"
    TXUI_DBM_AllSavedOptions[profileName]["CheckGear"] = true
    TXUI_DBM_AllSavedOptions[profileName]["ChosenVoicePack"] = "None"
    TXUI_DBM_AllSavedOptions[profileName]["ChosenVoicePack2"] = "VEM"
    TXUI_DBM_AllSavedOptions[profileName]["CoreSavedRevision"] = 20210127052658
    TXUI_DBM_AllSavedOptions[profileName]["CountdownVoice"] = "Corsica"
    TXUI_DBM_AllSavedOptions[profileName]["CountdownVoice2"] = "Kolt"
    TXUI_DBM_AllSavedOptions[profileName]["CountdownVoice3"] = "Smooth"
    TXUI_DBM_AllSavedOptions[profileName]["CustomSounds"] = 0
    TXUI_DBM_AllSavedOptions[profileName]["DebugLevel"] = 1
    TXUI_DBM_AllSavedOptions[profileName]["DebugMode"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DisableGuildStatus"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DisableSFX"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DisableStatusWhisper"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DoNotLogLFG"] = true
    TXUI_DBM_AllSavedOptions[profileName]["DontDoSpecialWarningVibrate"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DontPlayCountdowns"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DontPlayPTCountdown"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DontPlaySpecialWarningSound"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DontPlayTrivialSpecialWarningSound"] = true
    TXUI_DBM_AllSavedOptions[profileName]["DontRestoreIcons"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DontRestoreRange"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DontSendYells"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DontSetIcons"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DontShowBossAnnounces"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DontShowBossTimers"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DontShowFarWarnings"] = true
    TXUI_DBM_AllSavedOptions[profileName]["DontShowHudMap2"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DontShowInfoFrame"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DontShowNameplateIcons"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DontShowPT2"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DontShowPTCountdownText"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DontShowPTNoID"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DontShowPTText"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DontShowRangeFrame"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DontShowSpecialWarningFlash"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DontShowSpecialWarningText"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DontShowTargetAnnouncements"] = true
    TXUI_DBM_AllSavedOptions[profileName]["DontShowUserTimers"] = false
    TXUI_DBM_AllSavedOptions[profileName]["EnableModels"] = true
    TXUI_DBM_AllSavedOptions[profileName]["EnableWBSharing"] = true
    TXUI_DBM_AllSavedOptions[profileName]["Enabled"] = true
    TXUI_DBM_AllSavedOptions[profileName]["EventDungMusicMythicFilter"] = true
    TXUI_DBM_AllSavedOptions[profileName]["EventMusicMythicFilter"] = true
    TXUI_DBM_AllSavedOptions[profileName]["EventSoundDungeonBGM"] = "None"
    TXUI_DBM_AllSavedOptions[profileName]["EventSoundEngage2"] = "None"
    TXUI_DBM_AllSavedOptions[profileName]["EventSoundMusic"] = "None"
    TXUI_DBM_AllSavedOptions[profileName]["EventSoundMusicCombined"] = false
    TXUI_DBM_AllSavedOptions[profileName]["EventSoundPullTimer"] = "None"
    TXUI_DBM_AllSavedOptions[profileName]["EventSoundVictory2"] = "Interface\\AddOns\\DBM-Core\\sounds\\Victory\\SmoothMcGroove_Fanfare.ogg"
    TXUI_DBM_AllSavedOptions[profileName]["EventSoundWipe"] = "None"
    TXUI_DBM_AllSavedOptions[profileName]["FakeBWVersion"] = false
    TXUI_DBM_AllSavedOptions[profileName]["FilterDispel"] = true
    TXUI_DBM_AllSavedOptions[profileName]["FilterInterrupt2"] = "TandFandBossCooldown"
    TXUI_DBM_AllSavedOptions[profileName]["FilterInterruptNoteName"] = false
    TXUI_DBM_AllSavedOptions[profileName]["FilterTankSpec"] = true
    TXUI_DBM_AllSavedOptions[profileName]["FilterTrashWarnings2"] = true
    TXUI_DBM_AllSavedOptions[profileName]["FilterVoidFormSay"] = true
    TXUI_DBM_AllSavedOptions[profileName]["ForumsMessageShown"] = false
    TXUI_DBM_AllSavedOptions[profileName]["GUIHeight"] = 859.99963378906
    TXUI_DBM_AllSavedOptions[profileName]["GUIPoint"] = "TOPRIGHT"
    TXUI_DBM_AllSavedOptions[profileName]["GUIWidth"] = 997
    TXUI_DBM_AllSavedOptions[profileName]["GUIX"] = -341.00024414062
    TXUI_DBM_AllSavedOptions[profileName]["GUIY"] = -69.999992370605
    TXUI_DBM_AllSavedOptions[profileName]["GroupOptionsBySpell"] = true
    TXUI_DBM_AllSavedOptions[profileName]["GroupOptionsExcludeIcon"] = false
    TXUI_DBM_AllSavedOptions[profileName]["HelpMessageVersion"] = 3
    TXUI_DBM_AllSavedOptions[profileName]["HideBossEmoteFrame2"] = true
    TXUI_DBM_AllSavedOptions[profileName]["HideGarrisonToasts"] = true
    TXUI_DBM_AllSavedOptions[profileName]["HideGuildChallengeUpdates"] = true
    TXUI_DBM_AllSavedOptions[profileName]["HideObjectivesFrame"] = true
    TXUI_DBM_AllSavedOptions[profileName]["HideQuestTooltips"] = true
    TXUI_DBM_AllSavedOptions[profileName]["HideTooltips"] = false
    TXUI_DBM_AllSavedOptions[profileName]["InfoFrameCols"] = 0
    TXUI_DBM_AllSavedOptions[profileName]["InfoFrameFont"] = "Interface\\AddOns\\ElvUI_ToxiUI\\Media\\Fonts\\Montserrat-Medium.ttf"
    TXUI_DBM_AllSavedOptions[profileName]["InfoFrameFontSize"] = 16
    TXUI_DBM_AllSavedOptions[profileName]["InfoFrameFontStyle"] = "None"
    TXUI_DBM_AllSavedOptions[profileName]["InfoFrameLines"] = 0
    TXUI_DBM_AllSavedOptions[profileName]["InfoFrameLocked"] = false
    TXUI_DBM_AllSavedOptions[profileName]["InfoFramePoint"] = "BOTTOM"
    TXUI_DBM_AllSavedOptions[profileName]["InfoFrameShowSelf"] = false
    TXUI_DBM_AllSavedOptions[profileName]["InfoFrameX"] = -290
    TXUI_DBM_AllSavedOptions[profileName]["InfoFrameY"] = 135
    TXUI_DBM_AllSavedOptions[profileName]["LFDEnhance"] = true
    TXUI_DBM_AllSavedOptions[profileName]["LastRevision"] = 0
    TXUI_DBM_AllSavedOptions[profileName]["LatencyThreshold"] = 250
    TXUI_DBM_AllSavedOptions[profileName]["LogCurrentHeroic"] = false
    TXUI_DBM_AllSavedOptions[profileName]["LogCurrentMPlus"] = true
    TXUI_DBM_AllSavedOptions[profileName]["LogCurrentMythicRaids"] = true
    TXUI_DBM_AllSavedOptions[profileName]["LogCurrentMythicZero"] = false
    TXUI_DBM_AllSavedOptions[profileName]["LogCurrentRaids"] = true
    TXUI_DBM_AllSavedOptions[profileName]["LogOnlyNonTrivial"] = true
    TXUI_DBM_AllSavedOptions[profileName]["LogTWDungeons"] = false
    TXUI_DBM_AllSavedOptions[profileName]["LogTWRaids"] = false
    TXUI_DBM_AllSavedOptions[profileName]["LogTrivialDungeons"] = false
    TXUI_DBM_AllSavedOptions[profileName]["LogTrivialRaids"] = false
    TXUI_DBM_AllSavedOptions[profileName]["ModelSoundValue"] = "Short"
    TXUI_DBM_AllSavedOptions[profileName]["MovieFilter2"] = "OnlyFight"
    TXUI_DBM_AllSavedOptions[profileName]["NPAuraSize"] = 40
    TXUI_DBM_AllSavedOptions[profileName]["NewsMessageShown2"] = 1
    TXUI_DBM_AllSavedOptions[profileName]["PTCountThreshold2"] = 5
    TXUI_DBM_AllSavedOptions[profileName]["PullVoice"] = "Corsica"
    TXUI_DBM_AllSavedOptions[profileName]["RLReadyCheckSound"] = true
    TXUI_DBM_AllSavedOptions[profileName]["RaidWarningSound"] = 11742
    TXUI_DBM_AllSavedOptions[profileName]["RangeFrameFrames"] = "radar"
    TXUI_DBM_AllSavedOptions[profileName]["RangeFrameLocked"] = false
    TXUI_DBM_AllSavedOptions[profileName]["RangeFramePoint"] = "BOTTOM"
    TXUI_DBM_AllSavedOptions[profileName]["RangeFrameRadarPoint"] = "BOTTOM"
    TXUI_DBM_AllSavedOptions[profileName]["RangeFrameRadarX"] = 325
    TXUI_DBM_AllSavedOptions[profileName]["RangeFrameRadarY"] = 170
    TXUI_DBM_AllSavedOptions[profileName]["RangeFrameSound1"] = "none"
    TXUI_DBM_AllSavedOptions[profileName]["RangeFrameSound2"] = "none"
    TXUI_DBM_AllSavedOptions[profileName]["RangeFrameUpdates"] = "Average"
    TXUI_DBM_AllSavedOptions[profileName]["RangeFrameX"] = 325
    TXUI_DBM_AllSavedOptions[profileName]["RangeFrameY"] = 140
    TXUI_DBM_AllSavedOptions[profileName]["RecordOnlyBosses"] = false
    TXUI_DBM_AllSavedOptions[profileName]["RoleSpecAlert"] = true
    TXUI_DBM_AllSavedOptions[profileName]["SWarnClassColor"] = true
    TXUI_DBM_AllSavedOptions[profileName]["SWarnNameInNote"] = true
    TXUI_DBM_AllSavedOptions[profileName]["SWarningAlphabetical"] = true
    TXUI_DBM_AllSavedOptions[profileName]["SettingsMessageShown"] = true
    TXUI_DBM_AllSavedOptions[profileName]["ShortTimerText"] = true
    TXUI_DBM_AllSavedOptions[profileName]["ShowAllVersions"] = true
    TXUI_DBM_AllSavedOptions[profileName]["ShowBigBrotherOnCombatStart"] = false
    TXUI_DBM_AllSavedOptions[profileName]["ShowDefeatMessage"] = true
    TXUI_DBM_AllSavedOptions[profileName]["ShowEngageMessage"] = true
    TXUI_DBM_AllSavedOptions[profileName]["ShowGuildMessages"] = true
    TXUI_DBM_AllSavedOptions[profileName]["ShowGuildMessagesPlus"] = false
    TXUI_DBM_AllSavedOptions[profileName]["ShowPizzaMessage"] = true
    TXUI_DBM_AllSavedOptions[profileName]["ShowQueuePop"] = true
    TXUI_DBM_AllSavedOptions[profileName]["ShowReminders"] = true
    TXUI_DBM_AllSavedOptions[profileName]["ShowRespawn"] = true
    TXUI_DBM_AllSavedOptions[profileName]["ShowSWarningsInChat"] = true
    TXUI_DBM_AllSavedOptions[profileName]["ShowWarningsInChat"] = true
    TXUI_DBM_AllSavedOptions[profileName]["SilentMode"] = false
    TXUI_DBM_AllSavedOptions[profileName]["SpamSpecInformationalOnly"] = false
    TXUI_DBM_AllSavedOptions[profileName]["SpamSpecRoledefensive"] = false
    TXUI_DBM_AllSavedOptions[profileName]["SpamSpecRoledispel"] = false
    TXUI_DBM_AllSavedOptions[profileName]["SpamSpecRolegtfo"] = false
    TXUI_DBM_AllSavedOptions[profileName]["SpamSpecRoleinterrupt"] = false
    TXUI_DBM_AllSavedOptions[profileName]["SpamSpecRolesoak"] = false
    TXUI_DBM_AllSavedOptions[profileName]["SpamSpecRolestack"] = false
    TXUI_DBM_AllSavedOptions[profileName]["SpamSpecRoleswitch"] = false
    TXUI_DBM_AllSavedOptions[profileName]["SpamSpecRoletaunt"] = false
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningDuration2"] = 1.5
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlash1"] = true
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlash2"] = true
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlash3"] = true
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlash4"] = true
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlash5"] = true
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashAlph1"] = 0.3
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashAlph2"] = 0.3
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashAlph3"] = 0.4
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashAlph4"] = 0.4
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashAlph5"] = 0.5
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCol1"] = {}
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCol1"][1] = 1
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCol1"][2] = 1
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCol1"][3] = 0
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCol2"] = {}
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCol2"][1] = 1
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCol2"][2] = 0.5
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCol2"][3] = 0
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCol3"] = {}
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCol3"][1] = 1
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCol3"][2] = 0
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCol3"][3] = 0
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCol4"] = {}
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCol4"][1] = 1
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCol4"][2] = 0
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCol4"][3] = 1
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCol5"] = {}
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCol5"][1] = 0.2
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCol5"][2] = 1
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCol5"][3] = 1
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCount1"] = 1
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCount2"] = 1
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCount3"] = 3
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCount4"] = 2
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCount5"] = 3
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashDura1"] = 0.4
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashDura2"] = 0.4
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashDura3"] = 1
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashDura4"] = 0.7
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashDura5"] = 1
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFont"] = "Interface\\AddOns\\ElvUI_ToxiUI\\Media\\Fonts\\BigNoodleToo.ttf"
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFontCol"] = {}
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFontCol"][1] = 1
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFontCol"][2] = 0.7
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFontCol"][3] = 0
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFontShadow"] = false
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFontSize2"] = 40
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFontStyle"] = "THICKOUTLINE"
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningIcon"] = true
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningPoint"] = "TOP"
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningShortText"] = true
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningSound"] = 8174
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningSound2"] = 15391
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningSound3"] = "Interface\\AddOns\\DBM-Core\\sounds\\AirHorn.ogg"
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningSound4"] = 9278
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningSound5"] = 128466
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningVibrate1"] = false
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningVibrate2"] = false
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningVibrate3"] = true
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningVibrate4"] = true
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningVibrate5"] = true
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningX"] = 0
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningY"] = -290
    TXUI_DBM_AllSavedOptions[profileName]["StripServerName"] = true
    TXUI_DBM_AllSavedOptions[profileName]["UseNameplateHandoff"] = true
    TXUI_DBM_AllSavedOptions[profileName]["UseSoundChannel"] = "Master"
    TXUI_DBM_AllSavedOptions[profileName]["VPDontMuteSounds"] = false
    TXUI_DBM_AllSavedOptions[profileName]["VPReplacesAnnounce"] = true
    TXUI_DBM_AllSavedOptions[profileName]["VPReplacesCustom"] = false
    TXUI_DBM_AllSavedOptions[profileName]["VPReplacesSA1"] = true
    TXUI_DBM_AllSavedOptions[profileName]["VPReplacesSA2"] = true
    TXUI_DBM_AllSavedOptions[profileName]["VPReplacesSA3"] = true
    TXUI_DBM_AllSavedOptions[profileName]["VPReplacesSA4"] = true
    TXUI_DBM_AllSavedOptions[profileName]["VoiceOverSpecW2"] = "DefaultOnly"
    TXUI_DBM_AllSavedOptions[profileName]["WarningAlphabetical"] = true
    TXUI_DBM_AllSavedOptions[profileName]["WarningColors"] = {}
    TXUI_DBM_AllSavedOptions[profileName]["WarningColors"][1] = {}
    TXUI_DBM_AllSavedOptions[profileName]["WarningColors"][1]["b"] = 0.94117647058824
    TXUI_DBM_AllSavedOptions[profileName]["WarningColors"][1]["g"] = 0.8
    TXUI_DBM_AllSavedOptions[profileName]["WarningColors"][1]["r"] = 0.41176470588235
    TXUI_DBM_AllSavedOptions[profileName]["WarningColors"][2] = {}
    TXUI_DBM_AllSavedOptions[profileName]["WarningColors"][2]["b"] = 0
    TXUI_DBM_AllSavedOptions[profileName]["WarningColors"][2]["g"] = 0.94901960784314
    TXUI_DBM_AllSavedOptions[profileName]["WarningColors"][2]["r"] = 0.94901960784314
    TXUI_DBM_AllSavedOptions[profileName]["WarningColors"][3] = {}
    TXUI_DBM_AllSavedOptions[profileName]["WarningColors"][3]["b"] = 0
    TXUI_DBM_AllSavedOptions[profileName]["WarningColors"][3]["g"] = 0.50196078431373
    TXUI_DBM_AllSavedOptions[profileName]["WarningColors"][3]["r"] = 1
    TXUI_DBM_AllSavedOptions[profileName]["WarningColors"][4] = {}
    TXUI_DBM_AllSavedOptions[profileName]["WarningColors"][4]["b"] = 0.10196078431373
    TXUI_DBM_AllSavedOptions[profileName]["WarningColors"][4]["g"] = 0.10196078431373
    TXUI_DBM_AllSavedOptions[profileName]["WarningColors"][4]["r"] = 1
    TXUI_DBM_AllSavedOptions[profileName]["WarningDuration2"] = 1.5
    TXUI_DBM_AllSavedOptions[profileName]["WarningFont"] = "Interface\\AddOns\\ElvUI_ToxiUI\\Media\\Fonts\\BigNoodleToo.ttf"
    TXUI_DBM_AllSavedOptions[profileName]["WarningFontShadow"] = true
    TXUI_DBM_AllSavedOptions[profileName]["WarningFontSize"] = 24
    TXUI_DBM_AllSavedOptions[profileName]["WarningFontStyle"] = "OUTLINE"
    TXUI_DBM_AllSavedOptions[profileName]["WarningIconChat"] = true
    TXUI_DBM_AllSavedOptions[profileName]["WarningIconLeft"] = false
    TXUI_DBM_AllSavedOptions[profileName]["WarningIconRight"] = true
    TXUI_DBM_AllSavedOptions[profileName]["WarningPoint"] = "CENTER"
    TXUI_DBM_AllSavedOptions[profileName]["WarningShortText"] = true
    TXUI_DBM_AllSavedOptions[profileName]["WarningX"] = -416.8330078125
    TXUI_DBM_AllSavedOptions[profileName]["WarningY"] = -66.333869934082
    TXUI_DBM_AllSavedOptions[profileName]["WhisperStats"] = false
    TXUI_DBM_AllSavedOptions[profileName]["WorldBossAlert"] = false
    TXUI_DBM_AllSavedOptions[profileName]["WorldBossNearAlert"] = false
    TXUI_DBM_AllSavedOptions[profileName]["WorldBuffAlert"] = false
    TXUI_DBM_AllSavedOptions[profileName]["oRA3AnnounceConsumables"] = false

    TXUI_DBT_AllPersistentOptions[profileName] = {}
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"] = {}
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["Alpha"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["Bar7CustomInline"] = true
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["Bar7ForceLarge"] = false
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["BarStyle"] = "DBM"
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["BarXOffset"] = 0
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["BarYOffset"] = 0
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["ClickThrough"] = true
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["ColorByType"] = true
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["DesaturateValue"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["DynamicColor"] = true
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorAB"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorAEB"] = 0.247
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorAEG"] = 0.043
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorAER"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorAG"] = 0.385
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorAR"] = 0.15
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorB"] = 0
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorDB"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorDG"] = 0
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorDR"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorG"] = 0
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorIB"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorIG"] = 0.88
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorIR"] = 0.047
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorPB"] = 0.285
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorPG"] = 0.41
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorPR"] = 0.5
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorR"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorRB"] = 0.3
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorRG"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorRR"] = 0.11
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorUIB"] = 0.011764705882353
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorUIG"] = 0.92156862745098
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorUIR"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EnlargeBarTime"] = 11
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["ExpandUpwards"] = true
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["ExpandUpwardsLarge"] = false
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["FadeBars"] = true
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["FillUpBars"] = true
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["FillUpLargeBars"] = true
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["FlashBar"] = false
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["Font"] = "Interface\\AddOns\\ElvUI_ToxiUI\\Media\\Fonts\\Montserrat-Bold.ttf"
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["FontFlag"] = "OUTLINE"
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["FontSize"] = 18
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["Height"] = 30
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["HugeAlpha"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["HugeBarXOffset"] = 0
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["HugeBarYOffset"] = 0
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["HugeBarsEnabled"] = false
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["HugeHeight"] = 20
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["HugeScale"] = 1.03
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["HugeSort"] = "Sort"
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["HugeTimerPoint"] = "CENTER"
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["HugeTimerX"] = 360
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["HugeTimerY"] = -11.999999046326
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["HugeWidth"] = 200
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["IconLeft"] = false
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["IconLocked"] = true
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["IconRight"] = true
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["InlineIcons"] = true
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["KeepBars"] = true
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["NoBarFade"] = false
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["Scale"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["Skin"] = ""
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["Sort"] = "Sort"
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["Spark"] = false
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorAB"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorAEB"] = 0.459
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorAEG"] = 0.466
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorAER"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorAG"] = 0.545
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorAR"] = 0.375
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorB"] = 0
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorDB"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorDG"] = 0.3
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorDR"] = 0.9
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorG"] = 0.7
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorIB"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorIG"] = 0.97
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorIR"] = 0.47
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorPB"] = 0.42
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorPG"] = 0.776
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorPR"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorR"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorRB"] = 0.5
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorRG"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorRR"] = 0.5
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorUIB"] = 0.062745098039216
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorUIG"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorUIR"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["TDecimal"] = 11
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["TextColorB"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["TextColorG"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["TextColorR"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["Texture"] = "Interface\\AddOns\\ElvUI_ToxiUI\\Media\\Textures\\ToxiUI-g1"
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["TimerPoint"] = "RIGHT"
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["TimerX"] = -202.0002746582
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["TimerY"] = -291.49975585938
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["Width"] = 324
  else
    TXUI_DBM_AllSavedOptions[profileName] = {}
    TXUI_DBM_AllSavedOptions[profileName]["AFKHealthWarning"] = false
    TXUI_DBM_AllSavedOptions[profileName]["AITimer"] = true
    TXUI_DBM_AllSavedOptions[profileName]["AdvancedAutologBosses"] = false
    TXUI_DBM_AllSavedOptions[profileName]["AlwaysPlayVoice"] = false
    TXUI_DBM_AllSavedOptions[profileName]["AlwaysShowSpeedKillTimer2"] = false
    TXUI_DBM_AllSavedOptions[profileName]["ArrowPoint"] = "TOP"
    TXUI_DBM_AllSavedOptions[profileName]["ArrowPosX"] = 0
    TXUI_DBM_AllSavedOptions[profileName]["ArrowPosY"] = -150
    TXUI_DBM_AllSavedOptions[profileName]["AutoAcceptFriendInvite"] = false
    TXUI_DBM_AllSavedOptions[profileName]["AutoAcceptGuildInvite"] = false
    TXUI_DBM_AllSavedOptions[profileName]["AutoExpandSpellGroups"] = false
    TXUI_DBM_AllSavedOptions[profileName]["AutoReplySound"] = true
    TXUI_DBM_AllSavedOptions[profileName]["AutoRespond"] = true
    TXUI_DBM_AllSavedOptions[profileName]["AutologBosses"] = false
    TXUI_DBM_AllSavedOptions[profileName]["BadIDAlert"] = false
    TXUI_DBM_AllSavedOptions[profileName]["BadTimerAlert"] = false
    TXUI_DBM_AllSavedOptions[profileName]["BigBrotherAnnounceToRaid"] = false
    TXUI_DBM_AllSavedOptions[profileName]["BlockNoteShare"] = false
    TXUI_DBM_AllSavedOptions[profileName]["ChatFrame"] = "DEFAULT_CHAT_FRAME"
    TXUI_DBM_AllSavedOptions[profileName]["CheckGear"] = true
    TXUI_DBM_AllSavedOptions[profileName]["ChosenVoicePack"] = "None"
    TXUI_DBM_AllSavedOptions[profileName]["ChosenVoicePack2"] = "VEM"
    TXUI_DBM_AllSavedOptions[profileName]["CoreSavedRevision"] = 20210127052658
    TXUI_DBM_AllSavedOptions[profileName]["CountdownVoice"] = "Corsica"
    TXUI_DBM_AllSavedOptions[profileName]["CountdownVoice2"] = "Kolt"
    TXUI_DBM_AllSavedOptions[profileName]["CountdownVoice3"] = "Smooth"
    TXUI_DBM_AllSavedOptions[profileName]["CustomSounds"] = 0
    TXUI_DBM_AllSavedOptions[profileName]["DebugLevel"] = 1
    TXUI_DBM_AllSavedOptions[profileName]["DebugMode"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DisableGuildStatus"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DisableSFX"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DisableStatusWhisper"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DoNotLogLFG"] = true
    TXUI_DBM_AllSavedOptions[profileName]["DontDoSpecialWarningVibrate"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DontPlayCountdowns"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DontPlayPTCountdown"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DontPlaySpecialWarningSound"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DontPlayTrivialSpecialWarningSound"] = true
    TXUI_DBM_AllSavedOptions[profileName]["DontRestoreIcons"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DontRestoreRange"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DontSendYells"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DontSetIcons"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DontShowBossAnnounces"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DontShowBossTimers"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DontShowFarWarnings"] = true
    TXUI_DBM_AllSavedOptions[profileName]["DontShowHudMap2"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DontShowInfoFrame"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DontShowNameplateIcons"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DontShowPT2"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DontShowPTCountdownText"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DontShowPTNoID"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DontShowPTText"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DontShowRangeFrame"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DontShowSpecialWarningFlash"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DontShowSpecialWarningText"] = false
    TXUI_DBM_AllSavedOptions[profileName]["DontShowTargetAnnouncements"] = true
    TXUI_DBM_AllSavedOptions[profileName]["DontShowUserTimers"] = false
    TXUI_DBM_AllSavedOptions[profileName]["EnableModels"] = true
    TXUI_DBM_AllSavedOptions[profileName]["EnableWBSharing"] = true
    TXUI_DBM_AllSavedOptions[profileName]["Enabled"] = true
    TXUI_DBM_AllSavedOptions[profileName]["EventDungMusicMythicFilter"] = true
    TXUI_DBM_AllSavedOptions[profileName]["EventMusicMythicFilter"] = true
    TXUI_DBM_AllSavedOptions[profileName]["EventSoundDungeonBGM"] = "None"
    TXUI_DBM_AllSavedOptions[profileName]["EventSoundEngage2"] = "None"
    TXUI_DBM_AllSavedOptions[profileName]["EventSoundMusic"] = "None"
    TXUI_DBM_AllSavedOptions[profileName]["EventSoundMusicCombined"] = false
    TXUI_DBM_AllSavedOptions[profileName]["EventSoundPullTimer"] = "None"
    TXUI_DBM_AllSavedOptions[profileName]["EventSoundVictory2"] = "Interface\\AddOns\\DBM-Core\\sounds\\Victory\\SmoothMcGroove_Fanfare.ogg"
    TXUI_DBM_AllSavedOptions[profileName]["EventSoundWipe"] = "None"
    TXUI_DBM_AllSavedOptions[profileName]["FakeBWVersion"] = false
    TXUI_DBM_AllSavedOptions[profileName]["FilterDispel"] = true
    TXUI_DBM_AllSavedOptions[profileName]["FilterInterrupt2"] = "TandFandBossCooldown"
    TXUI_DBM_AllSavedOptions[profileName]["FilterInterruptNoteName"] = false
    TXUI_DBM_AllSavedOptions[profileName]["FilterTankSpec"] = true
    TXUI_DBM_AllSavedOptions[profileName]["FilterTrashWarnings2"] = true
    TXUI_DBM_AllSavedOptions[profileName]["FilterVoidFormSay"] = true
    TXUI_DBM_AllSavedOptions[profileName]["ForumsMessageShown"] = false
    TXUI_DBM_AllSavedOptions[profileName]["GUIHeight"] = 859.99963378906
    TXUI_DBM_AllSavedOptions[profileName]["GUIPoint"] = "TOPRIGHT"
    TXUI_DBM_AllSavedOptions[profileName]["GUIWidth"] = 997
    TXUI_DBM_AllSavedOptions[profileName]["GUIX"] = -341.00024414062
    TXUI_DBM_AllSavedOptions[profileName]["GUIY"] = -69.999992370605
    TXUI_DBM_AllSavedOptions[profileName]["GroupOptionsBySpell"] = true
    TXUI_DBM_AllSavedOptions[profileName]["GroupOptionsExcludeIcon"] = false
    TXUI_DBM_AllSavedOptions[profileName]["HelpMessageVersion"] = 3
    TXUI_DBM_AllSavedOptions[profileName]["HideBossEmoteFrame2"] = true
    TXUI_DBM_AllSavedOptions[profileName]["HideGarrisonToasts"] = true
    TXUI_DBM_AllSavedOptions[profileName]["HideGuildChallengeUpdates"] = true
    TXUI_DBM_AllSavedOptions[profileName]["HideObjectivesFrame"] = true
    TXUI_DBM_AllSavedOptions[profileName]["HideQuestTooltips"] = true
    TXUI_DBM_AllSavedOptions[profileName]["HideTooltips"] = false
    TXUI_DBM_AllSavedOptions[profileName]["InfoFrameCols"] = 0
    TXUI_DBM_AllSavedOptions[profileName]["InfoFrameFont"] = "Interface\\AddOns\\ElvUI_ToxiUI\\Media\\Fonts\\Montserrat-Medium.ttf"
    TXUI_DBM_AllSavedOptions[profileName]["InfoFrameFontSize"] = 16
    TXUI_DBM_AllSavedOptions[profileName]["InfoFrameFontStyle"] = "None"
    TXUI_DBM_AllSavedOptions[profileName]["InfoFrameLines"] = 0
    TXUI_DBM_AllSavedOptions[profileName]["InfoFrameLocked"] = false
    TXUI_DBM_AllSavedOptions[profileName]["InfoFramePoint"] = "BOTTOM"
    TXUI_DBM_AllSavedOptions[profileName]["InfoFrameShowSelf"] = false
    TXUI_DBM_AllSavedOptions[profileName]["InfoFrameX"] = -290
    TXUI_DBM_AllSavedOptions[profileName]["InfoFrameY"] = 135
    TXUI_DBM_AllSavedOptions[profileName]["LFDEnhance"] = true
    TXUI_DBM_AllSavedOptions[profileName]["LastRevision"] = 0
    TXUI_DBM_AllSavedOptions[profileName]["LatencyThreshold"] = 250
    TXUI_DBM_AllSavedOptions[profileName]["LogCurrentHeroic"] = false
    TXUI_DBM_AllSavedOptions[profileName]["LogCurrentMPlus"] = true
    TXUI_DBM_AllSavedOptions[profileName]["LogCurrentMythicRaids"] = true
    TXUI_DBM_AllSavedOptions[profileName]["LogCurrentMythicZero"] = false
    TXUI_DBM_AllSavedOptions[profileName]["LogCurrentRaids"] = true
    TXUI_DBM_AllSavedOptions[profileName]["LogOnlyNonTrivial"] = true
    TXUI_DBM_AllSavedOptions[profileName]["LogTWDungeons"] = false
    TXUI_DBM_AllSavedOptions[profileName]["LogTWRaids"] = false
    TXUI_DBM_AllSavedOptions[profileName]["LogTrivialDungeons"] = false
    TXUI_DBM_AllSavedOptions[profileName]["LogTrivialRaids"] = false
    TXUI_DBM_AllSavedOptions[profileName]["ModelSoundValue"] = "Short"
    TXUI_DBM_AllSavedOptions[profileName]["MovieFilter2"] = "OnlyFight"
    TXUI_DBM_AllSavedOptions[profileName]["NPAuraSize"] = 40
    TXUI_DBM_AllSavedOptions[profileName]["NewsMessageShown2"] = 1
    TXUI_DBM_AllSavedOptions[profileName]["PTCountThreshold2"] = 5
    TXUI_DBM_AllSavedOptions[profileName]["PullVoice"] = "Corsica"
    TXUI_DBM_AllSavedOptions[profileName]["RLReadyCheckSound"] = true
    TXUI_DBM_AllSavedOptions[profileName]["RaidWarningSound"] = 11742
    TXUI_DBM_AllSavedOptions[profileName]["RangeFrameFrames"] = "radar"
    TXUI_DBM_AllSavedOptions[profileName]["RangeFrameLocked"] = false
    TXUI_DBM_AllSavedOptions[profileName]["RangeFramePoint"] = "BOTTOM"
    TXUI_DBM_AllSavedOptions[profileName]["RangeFrameRadarPoint"] = "BOTTOM"
    TXUI_DBM_AllSavedOptions[profileName]["RangeFrameRadarX"] = 325
    TXUI_DBM_AllSavedOptions[profileName]["RangeFrameRadarY"] = 170
    TXUI_DBM_AllSavedOptions[profileName]["RangeFrameSound1"] = "none"
    TXUI_DBM_AllSavedOptions[profileName]["RangeFrameSound2"] = "none"
    TXUI_DBM_AllSavedOptions[profileName]["RangeFrameUpdates"] = "Average"
    TXUI_DBM_AllSavedOptions[profileName]["RangeFrameX"] = 325
    TXUI_DBM_AllSavedOptions[profileName]["RangeFrameY"] = 140
    TXUI_DBM_AllSavedOptions[profileName]["RecordOnlyBosses"] = false
    TXUI_DBM_AllSavedOptions[profileName]["RoleSpecAlert"] = true
    TXUI_DBM_AllSavedOptions[profileName]["SWarnClassColor"] = true
    TXUI_DBM_AllSavedOptions[profileName]["SWarnNameInNote"] = true
    TXUI_DBM_AllSavedOptions[profileName]["SWarningAlphabetical"] = true
    TXUI_DBM_AllSavedOptions[profileName]["SettingsMessageShown"] = true
    TXUI_DBM_AllSavedOptions[profileName]["ShortTimerText"] = true
    TXUI_DBM_AllSavedOptions[profileName]["ShowAllVersions"] = true
    TXUI_DBM_AllSavedOptions[profileName]["ShowBigBrotherOnCombatStart"] = false
    TXUI_DBM_AllSavedOptions[profileName]["ShowDefeatMessage"] = true
    TXUI_DBM_AllSavedOptions[profileName]["ShowEngageMessage"] = true
    TXUI_DBM_AllSavedOptions[profileName]["ShowGuildMessages"] = true
    TXUI_DBM_AllSavedOptions[profileName]["ShowGuildMessagesPlus"] = false
    TXUI_DBM_AllSavedOptions[profileName]["ShowPizzaMessage"] = true
    TXUI_DBM_AllSavedOptions[profileName]["ShowQueuePop"] = true
    TXUI_DBM_AllSavedOptions[profileName]["ShowReminders"] = true
    TXUI_DBM_AllSavedOptions[profileName]["ShowRespawn"] = true
    TXUI_DBM_AllSavedOptions[profileName]["ShowSWarningsInChat"] = true
    TXUI_DBM_AllSavedOptions[profileName]["ShowWarningsInChat"] = true
    TXUI_DBM_AllSavedOptions[profileName]["SilentMode"] = false
    TXUI_DBM_AllSavedOptions[profileName]["SpamSpecInformationalOnly"] = false
    TXUI_DBM_AllSavedOptions[profileName]["SpamSpecRoledefensive"] = false
    TXUI_DBM_AllSavedOptions[profileName]["SpamSpecRoledispel"] = false
    TXUI_DBM_AllSavedOptions[profileName]["SpamSpecRolegtfo"] = false
    TXUI_DBM_AllSavedOptions[profileName]["SpamSpecRoleinterrupt"] = false
    TXUI_DBM_AllSavedOptions[profileName]["SpamSpecRolesoak"] = false
    TXUI_DBM_AllSavedOptions[profileName]["SpamSpecRolestack"] = false
    TXUI_DBM_AllSavedOptions[profileName]["SpamSpecRoleswitch"] = false
    TXUI_DBM_AllSavedOptions[profileName]["SpamSpecRoletaunt"] = false
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningDuration2"] = 1.5
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlash1"] = true
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlash2"] = true
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlash3"] = true
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlash4"] = true
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlash5"] = true
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashAlph1"] = 0.3
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashAlph2"] = 0.3
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashAlph3"] = 0.4
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashAlph4"] = 0.4
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashAlph5"] = 0.5
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCol1"] = {}
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCol1"][1] = 1
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCol1"][2] = 1
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCol1"][3] = 0
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCol2"] = {}
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCol2"][1] = 1
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCol2"][2] = 0.5
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCol2"][3] = 0
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCol3"] = {}
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCol3"][1] = 1
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCol3"][2] = 0
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCol3"][3] = 0
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCol4"] = {}
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCol4"][1] = 1
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCol4"][2] = 0
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCol4"][3] = 1
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCol5"] = {}
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCol5"][1] = 0.2
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCol5"][2] = 1
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCol5"][3] = 1
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCount1"] = 1
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCount2"] = 1
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCount3"] = 3
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCount4"] = 2
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashCount5"] = 3
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashDura1"] = 0.4
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashDura2"] = 0.4
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashDura3"] = 1
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashDura4"] = 0.7
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFlashDura5"] = 1
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFont"] = "Interface\\AddOns\\ElvUI_ToxiUI\\Media\\Fonts\\BigNoodleToo.ttf"
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFontCol"] = {}
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFontCol"][1] = 1
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFontCol"][2] = 0.7
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFontCol"][3] = 0
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFontShadow"] = false
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFontSize2"] = 40
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningFontStyle"] = "THICKOUTLINE"
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningIcon"] = true
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningPoint"] = "TOP"
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningShortText"] = true
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningSound"] = 8174
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningSound2"] = 15391
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningSound3"] = "Interface\\AddOns\\DBM-Core\\sounds\\AirHorn.ogg"
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningSound4"] = 9278
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningSound5"] = 128466
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningVibrate1"] = false
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningVibrate2"] = false
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningVibrate3"] = true
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningVibrate4"] = true
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningVibrate5"] = true
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningX"] = 0
    TXUI_DBM_AllSavedOptions[profileName]["SpecialWarningY"] = -290
    TXUI_DBM_AllSavedOptions[profileName]["StripServerName"] = true
    TXUI_DBM_AllSavedOptions[profileName]["UseNameplateHandoff"] = true
    TXUI_DBM_AllSavedOptions[profileName]["UseSoundChannel"] = "Master"
    TXUI_DBM_AllSavedOptions[profileName]["VPDontMuteSounds"] = false
    TXUI_DBM_AllSavedOptions[profileName]["VPReplacesAnnounce"] = true
    TXUI_DBM_AllSavedOptions[profileName]["VPReplacesCustom"] = false
    TXUI_DBM_AllSavedOptions[profileName]["VPReplacesSA1"] = true
    TXUI_DBM_AllSavedOptions[profileName]["VPReplacesSA2"] = true
    TXUI_DBM_AllSavedOptions[profileName]["VPReplacesSA3"] = true
    TXUI_DBM_AllSavedOptions[profileName]["VPReplacesSA4"] = true
    TXUI_DBM_AllSavedOptions[profileName]["VoiceOverSpecW2"] = "DefaultOnly"
    TXUI_DBM_AllSavedOptions[profileName]["WarningAlphabetical"] = true
    TXUI_DBM_AllSavedOptions[profileName]["WarningColors"] = {}
    TXUI_DBM_AllSavedOptions[profileName]["WarningColors"][1] = {}
    TXUI_DBM_AllSavedOptions[profileName]["WarningColors"][1]["b"] = 0.94117647058824
    TXUI_DBM_AllSavedOptions[profileName]["WarningColors"][1]["g"] = 0.8
    TXUI_DBM_AllSavedOptions[profileName]["WarningColors"][1]["r"] = 0.41176470588235
    TXUI_DBM_AllSavedOptions[profileName]["WarningColors"][2] = {}
    TXUI_DBM_AllSavedOptions[profileName]["WarningColors"][2]["b"] = 0
    TXUI_DBM_AllSavedOptions[profileName]["WarningColors"][2]["g"] = 0.94901960784314
    TXUI_DBM_AllSavedOptions[profileName]["WarningColors"][2]["r"] = 0.94901960784314
    TXUI_DBM_AllSavedOptions[profileName]["WarningColors"][3] = {}
    TXUI_DBM_AllSavedOptions[profileName]["WarningColors"][3]["b"] = 0
    TXUI_DBM_AllSavedOptions[profileName]["WarningColors"][3]["g"] = 0.50196078431373
    TXUI_DBM_AllSavedOptions[profileName]["WarningColors"][3]["r"] = 1
    TXUI_DBM_AllSavedOptions[profileName]["WarningColors"][4] = {}
    TXUI_DBM_AllSavedOptions[profileName]["WarningColors"][4]["b"] = 0.10196078431373
    TXUI_DBM_AllSavedOptions[profileName]["WarningColors"][4]["g"] = 0.10196078431373
    TXUI_DBM_AllSavedOptions[profileName]["WarningColors"][4]["r"] = 1
    TXUI_DBM_AllSavedOptions[profileName]["WarningDuration2"] = 1.5
    TXUI_DBM_AllSavedOptions[profileName]["WarningFont"] = "Interface\\AddOns\\ElvUI_ToxiUI\\Media\\Fonts\\BigNoodleToo.ttf"
    TXUI_DBM_AllSavedOptions[profileName]["WarningFontShadow"] = true
    TXUI_DBM_AllSavedOptions[profileName]["WarningFontSize"] = 24
    TXUI_DBM_AllSavedOptions[profileName]["WarningFontStyle"] = "OUTLINE"
    TXUI_DBM_AllSavedOptions[profileName]["WarningIconChat"] = true
    TXUI_DBM_AllSavedOptions[profileName]["WarningIconLeft"] = false
    TXUI_DBM_AllSavedOptions[profileName]["WarningIconRight"] = true
    TXUI_DBM_AllSavedOptions[profileName]["WarningPoint"] = "CENTER"
    TXUI_DBM_AllSavedOptions[profileName]["WarningShortText"] = true
    TXUI_DBM_AllSavedOptions[profileName]["WarningX"] = -416.8330078125
    TXUI_DBM_AllSavedOptions[profileName]["WarningY"] = -66.333869934082
    TXUI_DBM_AllSavedOptions[profileName]["WhisperStats"] = false
    TXUI_DBM_AllSavedOptions[profileName]["WorldBossAlert"] = false
    TXUI_DBM_AllSavedOptions[profileName]["WorldBossNearAlert"] = false
    TXUI_DBM_AllSavedOptions[profileName]["WorldBuffAlert"] = false
    TXUI_DBM_AllSavedOptions[profileName]["oRA3AnnounceConsumables"] = false

    TXUI_DBT_AllPersistentOptions[profileName] = {}
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"] = {}
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["Alpha"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["Bar7CustomInline"] = true
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["Bar7ForceLarge"] = false
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["BarStyle"] = "DBM"
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["BarXOffset"] = 0
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["BarYOffset"] = 0
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["ClickThrough"] = true
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["ColorByType"] = true
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["DesaturateValue"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["DynamicColor"] = true
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorAB"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorAEB"] = 0.247
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorAEG"] = 0.043
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorAER"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorAG"] = 0.385
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorAR"] = 0.15
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorB"] = 0
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorDB"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorDG"] = 0
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorDR"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorG"] = 0
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorIB"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorIG"] = 0.88
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorIR"] = 0.047
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorPB"] = 0.285
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorPG"] = 0.41
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorPR"] = 0.5
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorR"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorRB"] = 0.3
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorRG"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorRR"] = 0.11
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorUIB"] = 0.011764705882353
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorUIG"] = 0.92156862745098
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EndColorUIR"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["EnlargeBarTime"] = 11
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["ExpandUpwards"] = true
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["ExpandUpwardsLarge"] = false
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["FadeBars"] = true
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["FillUpBars"] = true
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["FillUpLargeBars"] = true
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["FlashBar"] = false
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["Font"] = "Interface\\AddOns\\ElvUI_ToxiUI\\Media\\Fonts\\Montserrat-Bold.ttf"
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["FontFlag"] = "OUTLINE"
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["FontSize"] = 18
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["Height"] = 30
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["HugeAlpha"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["HugeBarXOffset"] = 0
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["HugeBarYOffset"] = 0
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["HugeBarsEnabled"] = false
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["HugeHeight"] = 20
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["HugeScale"] = 1.03
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["HugeSort"] = "Sort"
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["HugeTimerPoint"] = "CENTER"
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["HugeTimerX"] = 360
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["HugeTimerY"] = -11.999999046326
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["HugeWidth"] = 200
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["IconLeft"] = false
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["IconLocked"] = true
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["IconRight"] = true
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["InlineIcons"] = true
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["KeepBars"] = true
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["NoBarFade"] = false
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["Scale"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["Skin"] = ""
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["Sort"] = "Sort"
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["Spark"] = false
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorAB"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorAEB"] = 0.459
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorAEG"] = 0.466
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorAER"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorAG"] = 0.545
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorAR"] = 0.375
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorB"] = 0
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorDB"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorDG"] = 0.3
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorDR"] = 0.9
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorG"] = 0.7
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorIB"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorIG"] = 0.97
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorIR"] = 0.47
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorPB"] = 0.42
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorPG"] = 0.776
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorPR"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorR"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorRB"] = 0.5
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorRG"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorRR"] = 0.5
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorUIB"] = 0.062745098039216
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorUIG"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["StartColorUIR"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["TDecimal"] = 11
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["TextColorB"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["TextColorG"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["TextColorR"] = 1
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["Texture"] = "Interface\\AddOns\\ElvUI_ToxiUI\\Media\\Textures\\ToxiUI-g1"
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["TimerPoint"] = "RIGHT"
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["TimerX"] = -202.0002746582
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["TimerY"] = -291.49975585938
    TXUI_DBT_AllPersistentOptions[profileName]["DBM"]["Width"] = 324
  end

  _G.DBM_MinimapIcon = {
    ["hide"] = true,
  }

  DBM_AllSavedOptions[profileName] = nil
  DBT_AllPersistentOptions[profileName] = nil

  E:CopyTable(DBM_AllSavedOptions, TXUI_DBM_AllSavedOptions)
  E:CopyTable(DBT_AllPersistentOptions, TXUI_DBT_AllPersistentOptions)

  self:DBM_Private()
end

function PF:DBM_Private()
  local DBM = DBM
  local DBM_AllSavedOptions = DBM_AllSavedOptions
  if not DBM or not DBM_AllSavedOptions then return self:LogDebug("Could not find DBM", DBM, DBM_AllSavedOptions) end

  DBM:ApplyProfile(I.ProfileNames[E.db.TXUI.installer.layout])
end
